Samba einrichten

  • Guten Abend,


    ich habe da mal ein Problem.
    Mein Plan ist es für mein HS die epg.dat auf der Raspberry Pi auszulagern damit alle meine Receiver darauf zugreifen können.
    Wollte mir daher auf der RPI einen Samba Server einrichten und habe mir einige Anleitungen angeschaut.
    Nur leider kommen bei mir ein anderes Ergebnis wie gewünscht.
    Also ich habe Samba installiert. Alles gut.
    Aber dann...
    Ich bin nach dieser Anleitung vorgegangen (Hoffe ich darf das hier verlinken)
    Raspberry Tips


    Wenn ich diesen Befehl eingebe:


    Code
    tail –f /var/log/messages


    Kommt bei mir folgendes:



    irgendwie nicht das was sein sollte....
    Was muss ich jetzt machen?


    Edit:


    Wenn ich den USB Stick anschließe und dann den Befehl eingebe kommt folgendes:



    Edit2: Ok. Das sieht ja jetzt doch so aus als hätte es funktioniert aber dann :-)


    lt. Anleitung soll ich jetzt folgenden Befehl eingeben

    Code
    sudo nano /etc/samba/smb.conf


    und dort dasd # beim Befehl

    Code
    #   security = user

    entfernen.


    allerdings existiert die Zeile gar nicht?!?


    EDIT 3. Ich weiß nicht warum aber jetzt hat es doch funktioniert...

    Edited once, last by Thronis ().

  • Sorry aber ich muss doch nochmal stören...
    Leider hat es alles nicht so funktioniert wie ich wollte.
    Bei allen Anleitungen die ich gefunden habe (bisschen älter) soll man in der smb.conf das # in der Zeile
    # security = user entfernen.
    Leider fehlt diese Zeile... hm...
    Gibt es irgendwo eine neuere Anleitung wie man das bewerkstelligt?


    Lg

  • Bei allen Anleitungen die ich gefunden habe (bisschen älter) soll man in der smb.conf das # in der Zeile
    # security = user entfernen.


    Dieser Parameter ist inzwischen optional und er ist standardmäßig gesetzt, auch wenn er nicht explizit aufgeführt ist. Selbstverständlich ist es Dir überlassen diese Zeile in die Datei einzufügen.


    Besorge Dir eine aktuelle Anleitung. Es gibt haufenweise davon.


    Ich mag keine Empfehlung geben, weil ich nicht weiß welche Distribution Du verwendest.